#include<stdio.h>
#include"tableau.h"
#include"affichage.h"
#include"couleur.h"
#include<math.h>
#include"affichageold.h"
/*affichage.c*/
void viderbuffer()
{
  char buff=getchar();
  while (buff != '\n'){
    buff=getchar();
  }
}

void affiche_pile_a_cote(pile **tableau,char *sel,int x,int y,int N, int ligne,int nb)
{
  int k;
  if (ligne == N-1) printf("  %s:",sel);
    pile tmp=tableau[x][y]; 
    for (k=0 ; k<nb ; k++){
        if (ligne==N-nb+k){
          if (ligne != N-1) printf("     ");
          affichepion(tmp->chaine,NOIR);
        }
        tmp=tmp->next;
      }
}

void affichepion(char *pion,char *CASE)
{
  if (pion[1] == 'N')
    printf(PNOIRE "%s %c " RESET,CASE, *pion);
  else 
    printf(PBLANCHE "%s %c " RESET,CASE, *pion);
}

void affichetableau_pile_cote(pile **tableau, int N,char *sel)
{
  clrscr();
  /**/
  int x,y,nb=0;
  if (*sel != '\0'){
    determiner_indices(sel,N,&x,&y);
    if (x>=0 && x<N && y>=0 && y<N)
      nb=longueur_pile(tableau[x][y]);
    else nb=0;
  }
  /**/
  int i,j;
  printf("  ");
  for(i=0 ; i<N ; i++){
    printf("%c ",'A'+i);
  }
  printf("\n");
  for (i=0 ; i<N ; i++){
    printf(N-i>9 ? "%i":" %i",N-i);
    for (j=0 ; j<N ; j++)
      if ((i+j)%2 == 1){
        if (est_vide(tableau[i][j]))
          printf(NOIR "  " RESET);
        else if (tableau[i][j]->chaine[1] == 'N')
          printf(PNOIRE NOIR "%c " RESET, *sommet(tableau[i][j]));
        else
          printf(PBLANCHE NOIR"%c " RESET, *sommet(tableau[i][j]));
      } else {
        if (est_vide(tableau[i][j]))
          printf(BLANC "  " RESET);
        else if (tableau[i][j]->chaine[1] == 'N')
          printf(PNOIRE BLANC"%c " RESET, *sommet(tableau[i][j]));
        else
          printf(PBLANCHE BLANC"%c " RESET, *sommet(tableau[i][j]));
      }
    if (nb>0 && i>=N-nb)
      affiche_pile_a_cote(tableau,sel,x,y,N,i,nb);
    else if (i == N-1)printf("  Aucune selection");
    printf("\n");
  }
  printf("\n");
}


void affichage(pile **tableau,int N, char *sel,int tour,char *message,int ansi)
{
  if (ansi == 1){
    affichetableau_pile_cote(tableau,N,sel);
    if (tour%2 == 0)
      printf("\n [\x1B[1;5;32m%sBLANCS" RESET "] %s",NOIR,message);
    else
      printf("\n [\x1B[1;5;31m%sNOIRS" RESET "] %s",NOIR,message);
  } else {
    affiche(tableau,N);
    affichepile(sel,tableau,N);
    if (tour%2 == 0)
      printf("\n [BLANCS] %s",message);
    else
      printf("\n [NOIRS] %s",message);
  }
}

