#include<stdio.h>
#include"tableau.h"
#include"affichage.h"
#include"couleur.h"
/*affichageold.c*/

void affiche(pile** tableau, int N)
{
  clrscr();
  int i,j;
  printf(" ");
  for(i=0 ; i<N ; i++){
    printf(" %c ",'A'+i);
  }
  printf("\n");
  for (i=0 ; i<N ; i++){
    printf(" ");
    for (j=0 ; j<N ; j++){
      printf("+--");
    }

    printf("+\n%i",N-i);
    for (j=0 ; j<N ; j++)
      printf( "|%s", est_vide(tableau[i][j]) ? "  " :  sommet(tableau[i][j]));
    printf("|\n");
  }
  printf(" ");
  for (i=0 ; i<N ; i++ ){
    printf("+--");
    if (i == N-1) printf("+");
  }
  printf("\n");
}

void affichecouleur(pile **tableau, int N)
{
  clrscr();
  int i,j;
  printf("  ");
  for(i=0 ; i<N ; i++){
    printf("%c ",'A'+i);
  }
  printf("\n");
  for (i=0 ; i<N ; i++){
    printf(N-i>9 ? "%i":" %i",N-i);
    for (j=0 ; j<N ; j++)
      if ((i+j)%2 == 1){
        if (est_vide(tableau[i][j]))
          printf(NOIR "  " RESET);
        else if (tableau[i][j]->chaine[1] == 'N')
          printf(PNOIRE NOIR "%c " RESET, *sommet(tableau[i][j]));
        else
          printf(PBLANCHE NOIR"%c " RESET, *sommet(tableau[i][j]));
      } else {
        if (est_vide(tableau[i][j]))
          printf(BLANC "  " RESET);
        else if (tableau[i][j]->chaine[1] == 'N')
          printf(PNOIRE BLANC"%c " RESET, *sommet(tableau[i][j]));
        else
          printf(PBLANCHE BLANC"%c " RESET, *sommet(tableau[i][j]));
      }
    printf("\n");
  }
  printf("\n");
}

void affichepile(char *sel,pile **tableau,int N)
{ 
  if (*sel == '\0') 
    printf("Aucune case n'est sélectionnée");
  else {
    int i,j;
    determiner_indices(sel,N,&i,&j);
    if (i>=N || i<0 || j<0 || j>=N)
      printf("Aucune case n'est sélectionnée.");
    else {
      printf("%s:\n",sel);
      pile tmp=tableau[i][j]; 
      while (tmp != NULL){
        printf("%s",tmp->chaine);
        tmp=tmp->next;
        printf("\n");
      }
    }
  }
}