#ifndef _COULEUR_
#define _COULEUR_ 

#include <stdio.h>



/**
 * @file couleur.h
 * 
 * Ce fichier décrit un ensemble de fonctions concernant l'affichage interactif et amélioré du jeu.
 * Il contient 6 directives de préprocesseur.
 * 
 */


/**
 * @brief nettoyer l'écran
 */
#define clrscr() printf("\033[H\033[2J") 

/**
 * @brief couleur noire du background
 */
#define NOIR   "\x1B[48;2;0;0;0m"

/**
 * @brief couleur VERT des pions blancs
 */
#define PBLANCHE "\x1B[1;32m"

/**
 * @brief couleur ROUGE des pions noirs
 */
#define PNOIRE "\x1B[1;31m"

/**
 * @brief couleur blanche du background 
 */

#define BLANC   "\x1B[48;2;255;255;255m"

/**
 * @brief revenir à la couleur par defaut
 */
#define RESET "\x1B[0m"


#endif
