#ifndef _AFFICHAGE
#define _AFFICHAGE

#include"tableau.h"
#include"affichageold.h"

/*affichage.h*/

/*
 * @require
 * @assign
 * @ensure : vide le buffer en input 
 */
void viderbuffer();

/*
 * @require
 * @assign 
 * @ensure : affiche le tableau en couleur AVEC la pile selectionnée sur le côté.
 */
void affichetableau_pile_cote(pile **tableau,int N,char *sel);
/*
 * @require : nb le nombre d'élement de la pile >0
 * @assign : \nothing
 * @ensure : affiche l'élément de la pile selectionnée à afficher à côté de la ligne i du plateau 
 */
void affiche_pile_a_cote(pile **tableau,char *sel,int x,int y, int N, int ligne,int nb);
/*
 * @require
 * @assign
 * @ensure affiche le pion en couleur
 */
void affichepion(char *pion,char* CASE);


/*
 * @require
 * @assign
 * @ensure combine affichetableau_pile_cote() et l'affichage du message destiné à l'utilisateur
 */
void affichage(pile **tableau,int N,char *sel,int tour,char *message,int ansi);
#endif
